import React from 'react'

import Author from './Author'

export default ({
  version,
  project,
  authors,
  editIndex,
  removeAuthor,
  editComponent,
  setAuthorEdit,
  setFormAuthors,
  parseAuthorType,
  ...rest
}) => (
  <div>
    {authors.map(
      (author, index) =>
        index === editIndex ? (
          React.createElement(editComponent, {
            key: 'author-editor',
            index,
            initialValues: {
              edit: author,
            },
            authors,
            setAuthors: setFormAuthors,
            setAuthorEdit,
            parseAuthorType,
            project,
            version,
            ...author,
          })
        ) : (
          <Author
            key={author.id}
            {...author}
            index={index}
            parseAuthorType={parseAuthorType}
            removeAuthor={removeAuthor}
            {...rest}
          />
        ),
    )}
  </div>
)
