import { isBoolean } from 'lodash'

export const authorKeys = [
  'id',
  'email',
  'lastName',
  'firstName',
  'affiliation',
  'isSubmitting',
  'isCorresponding',
]

export const setCorresponding = id => author =>
  author.id === id
    ? {
        ...author,
        isCorresponding: true,
      }
    : { ...author, isCorresponding: false }

export const castToBool = author => ({
  ...author,
  isCorresponding: isBoolean(author.isCorresponding) && author.isCorresponding,
})

export const parseEditedAuthors = (editedAuthor, authors) => {
  const newAuthor = castToBool(editedAuthor)

  return authors.map(
    a =>
      a.id === newAuthor.id
        ? newAuthor
        : {
            ...a,
            isCorresponding: newAuthor.isCorresponding
              ? false
              : a.isCorresponding,
          },
  )
}
