import React from 'react'
import { Icon } from '@pubsweet/ui'
import { connect } from 'react-redux'
import { compose, withHandlers } from 'recompose'

import { Components } from './'
import { getSignedUrl } from '../../redux/files'

const FilePreview = ({ previewFile }) => (
  <Components.IconButton onClick={previewFile}>
    <Icon primary size={3}>
      eye
    </Icon>
  </Components.IconButton>
)

export default compose(
  connect(null, { getSignedUrl }),
  withHandlers({
    previewFile: ({ fileId, getSignedUrl }) => e => {
      e.preventDefault()
      const windowReference = window.open()
      getSignedUrl(fileId).then(({ signedUrl }) => {
        windowReference.location = signedUrl
      })
    },
  }),
)(FilePreview)
