import { omit } from 'lodash'

export const recommendationOptions = [
  { value: 'reject', label: 'Reject' },
  { value: 'publish', label: 'Publish' },
  { value: 'revise', label: 'Request revision' },
]

export const revisionOptions = [
  { value: 'minor', label: 'Minor' },
  { value: 'major', label: 'Major' },
]

export const parseMessages = (messages = {}) => {
  const publicKeys = ['author', 'reason']
  return Object.entries(messages).map(([k, v]) => ({
    content: v,
    public: publicKeys.includes(k),
  }))
}

export const parseRecommendationValues = ({ decision, message, revision }) => {
  const recommendation = {
    recommendationType: 'editorRecommendation',
  }
  if (decision !== 'revise') {
    recommendation.recommendation = decision
    recommendation.comments = parseMessages(message)
  } else {
    recommendation.recommendation = revision.revisionType
    recommendation.comments = parseMessages(omit(revision, 'revisionType'))
  }
  return recommendation
}
