import React from 'react'
import styled from 'styled-components'
import { Button, th } from '@pubsweet/ui'

const ErrorPage = ({ location: { state }, history }) => (
  <Root>
    <Title>{state}</Title>
    <Button onClick={() => history.push('/')} primary>
      Go to Dashboard
    </Button>
  </Root>
)

export default ErrorPage

// #region styles
const Root = styled.div`
  color: ${th('colorText')};
  margin: 0 auto;
  text-align: center;
  width: 70vw;

  a {
    color: ${th('colorText')};
  }
`

const Title = styled.div`
  color: ${th('colorPrimary')};
  font-size: ${th('fontSizeHeading5')};
  font-family: ${th('fontHeading')};
  margin: calc(${th('subGridUnit')} * 2) auto;
`
// #endregion
